Index: /branches/OptimizationNetworks/HeuristicLab.Optimization.Networks/3.3/ClassDiagram.cd
===================================================================
--- /branches/OptimizationNetworks/HeuristicLab.Optimization.Networks/3.3/ClassDiagram.cd	(revision 11526)
+++ /branches/OptimizationNetworks/HeuristicLab.Optimization.Networks/3.3/ClassDiagram.cd	(revision 11527)
@@ -1,191 +1,153 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <ClassDiagram MajorVersion="1" MinorVersion="1">
-  <Class Name="HeuristicLab.Optimization.Networks.ClientPort" Collapsed="true">
-    <Position X="29.25" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>gEAAAAAAAAgAAAAQAsAAEAAAAAAAABAAAAEADAIBgBQ=</HashCode>
-      <FileName>### obsolete\ClientPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ClientServicePort" Collapsed="true">
-    <Position X="30.25" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>gEQAIIACAAAAAEAAAABEAAAAAAAAgRAAAIAQAACAAAA=</HashCode>
-      <FileName>### obsolete\ClientServicePort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.OutputInputPortEventArgs&lt;TOut, TIn&gt;" Collapsed="true">
-    <Position X="46" Y="1.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\EventArgs.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.InputOutputPort&lt;TIn, TOut&gt;" Collapsed="true">
-    <Position X="20.25" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAQAAAQAAAAAAQgAAEQBAAABBAAAAQAAAAIABA=</HashCode>
-      <FileName>### obsolete\InputOutputPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.InputPort&lt;T&gt;" Collapsed="true">
-    <Position X="22.5" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>QAABAACAAAAACIAAAAAgAAAAgAAAABAAAEAAAAAQARA=</HashCode>
-      <FileName>### obsolete\InputPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.OutputInputPort&lt;TOut, TIn&gt;" Collapsed="true">
-    <Position X="24.75" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AEAAAAAAAAAAAAAAAQAAAAAAAAAAAAgAAAAAAAAAABA=</HashCode>
-      <FileName>### obsolete\OutputInputPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.OutputPort&lt;T&gt;" Collapsed="true">
-    <Position X="27" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AgAAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAABA=</HashCode>
-      <FileName>### obsolete\OutputPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ServiceParameter&lt;T&gt;" Collapsed="true">
-    <Position X="18" Y="2" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAACAAAqAACBUAAAAQAAAAECBADEAAQAgAAQAABA=</HashCode>
-      <FileName>### obsolete\ServiceParameter.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ServiceParameterCollection" Collapsed="true">
-    <Position X="44.25" Y="2.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>### obsolete\ServiceParameterCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ServiceParameterCollectionCollection" Collapsed="true">
-    <Position X="46" Y="2.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>### obsolete\ServiceParameterCollectionCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ServicePort" Collapsed="true">
-    <Position X="31.5" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAIAAAAgAAAAAAAAAAAAAAAAAAAAIQABA=</HashCode>
-      <FileName>### obsolete\ServicePort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ValuePort&lt;T&gt;" Collapsed="true">
-    <Position X="23.5" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAKAAIAUAAAAAAAAAEAAADEAAAAgAAQAAAA=</HashCode>
-      <FileName>### obsolete\ValuePort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.Entity" Collapsed="true">
-    <Position X="20.25" Y="0.5" Width="1.5" />
+  <Class Name="HeuristicLab.Core.Networks.Entity" Collapsed="true">
+    <Position X="7.75" Y="0.5" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAiAACAAAAAQAJAAAAEQQAAAAAAQAAAAAAAAAAEAEQ=</HashCode>
-      <FileName>Entity.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.HookOperator" Collapsed="true" BaseTypeListCollapsed="true">
-    <Position X="42.5" Y="0.5" Width="1.5" />
+      <FileName>Core.Networks\Entity.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.GenericNode" Collapsed="true">
+    <Position X="1" Y="3.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\GenericNode.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.GenericPort" Collapsed="true">
+    <Position X="11.25" Y="4.75" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AVAgMQQQQAgAACQBACIAAAAAAiQACBIpAAAACQAABhQ=</HashCode>
+      <FileName>Core.Networks\GenericPort.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.Message" Collapsed="true" BaseTypeListCollapsed="true">
+    <Position X="20.5" Y="0.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAACAAAAAAAAACAAAAAAAAAAAACAAAAAgAAAAABA=</HashCode>
+      <FileName>Core.Networks\Message.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" Collapsed="true" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.MessageCollection" Collapsed="true">
+    <Position X="17" Y="1.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\MessageCollection.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.MessageValue&lt;T&gt;" Collapsed="true" BaseTypeListCollapsed="true">
+    <Position X="18.75" Y="1.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAEAACAAAqAAAAUAAAAAAQAAEAEADEAAAEgAAQAABA=</HashCode>
+      <FileName>Core.Networks\MessageValue.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" Collapsed="true" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.MessageValueCollection" Collapsed="true">
+    <Position X="20.5" Y="1.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\MessageValueCollection.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.Network" Collapsed="true">
+    <Position X="7.75" Y="3.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAgAACAgAAAQIAAAAAEAAAAEAAAABACAAAAAAAAIBA=</HashCode>
+      <FileName>Core.Networks\Network.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.Node" Collapsed="true">
+    <Position X="4.5" Y="2" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>QAAAAACCABEEAAAABAAEQAAAAACAABAAAACAAAAAABQ=</HashCode>
+      <FileName>Core.Networks\Node.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.NodeCollection" Collapsed="true">
+    <Position X="17" Y="2.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\NodeCollection.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.ParameterizedPort" Collapsed="true">
+    <Position X="11.25" Y="3.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>gEQAAIACAAAAAEAAAABEAAAAEAAAgRAACIAAAACAAAA=</HashCode>
+      <FileName>Core.Networks\ParameterizedPort.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.Port" Collapsed="true">
+    <Position X="11.25" Y="2" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAACAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\Port.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.PortCollection" Collapsed="true">
+    <Position X="18.75" Y="2.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\PortCollection.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.PortParameter&lt;T&gt;" Collapsed="true">
+    <Position X="14.5" Y="2" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAACAAAoAQABMAAQAQgAAAALhABAgUQAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\PortParameter.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Core.Networks.PortParameterCollection" Collapsed="true">
+    <Position X="20.5" Y="2.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Core.Networks\PortParameterCollection.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Class Name="HeuristicLab.Operators.HookOperator" Collapsed="true" BaseTypeListCollapsed="true">
+    <Position X="18.75" Y="0.5" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAABAAEAAEAAAAAAAACAAAAAgAAIAAAAAAABA=</HashCode>
-      <FileName>HookOperator.cs</FileName>
+      <FileName>Operators\HookOperator.cs</FileName>
     </TypeIdentifier>
     <Lollipop Position="0.2" Collapsed="true" />
   </Class>
   <Class Name="HeuristicLab.Optimization.Networks.AlgorithmNode" Collapsed="true">
-    <Position X="4.5" Y="3.5" Width="1.5" />
+    <Position X="3.25" Y="3.5" Width="1.5" />
     <TypeIdentifier>
       <HashCode>BAAABAASABECMBQABABAQAAQggCAAAIAAEAAAAQAABw=</HashCode>
-      <FileName>Nodes\AlgorithmNode.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ClientNode" Collapsed="true">
-    <Position X="9" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAABAAAAIAAADAAAAAgAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Nodes\ClientNode.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.GenericNode" Collapsed="true">
-    <Position X="11.25" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Nodes\GenericNode.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.KSPTSPConnector" Collapsed="true">
-    <Position X="6.75" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>ABAAAAAAAAAAAQAAAAAAAAAAAAAAABAAAAAAAAAQABA=</HashCode>
-      <FileName>Nodes\KSPTSPConnector.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.KSPTSPNetwork" Collapsed="true">
-    <Position X="15.75" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Nodes\KSPTSPNetwork.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.MultiplierNode" Collapsed="true">
-    <Position X="13.5" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AEAAEAAAAAAAAQABAQAAAAAQEAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Nodes\MultiplierNode.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.Network" Collapsed="true">
-    <Position X="15.75" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAgAACAgAAAQIAAAAAEAAAAEAAAABACAAAAAAAAIBA=</HashCode>
-      <FileName>Nodes\Network.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.Node" Collapsed="true">
-    <Position X="9" Y="2" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>QAAAAACCABEEAAAABAAEQAAAAACAABAAAACAAAAAABQ=</HashCode>
-      <FileName>Nodes\Node.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.NodeCollection" Collapsed="true">
-    <Position X="44.25" Y="1.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Nodes\NodeCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.VariablesNode" Collapsed="true">
-    <Position X="2.25" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AICARAECQBEAKEAABAAAAQAQAQCAABAQAAQABAAMABU=</HashCode>
-      <FileName>Nodes\VariablesNode.cs</FileName>
+      <FileName>Optimization.Networks\AlgorithmNode.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Optimization.Networks.ConfigurationPort" Collapsed="true">
+    <Position X="10" Y="6.25" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Optimization.Networks\ConfigurationPort.cs</FileName>
+    </TypeIdentifier>
+    <Lollipop Position="0.2" />
+  </Class>
+  <Class Name="HeuristicLab.Optimization.Networks.ExecutionPort" Collapsed="true">
+    <Position X="12.25" Y="6.25" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Optimization.Networks\ExecutionPort.cs</FileName>
     </TypeIdentifier>
     <Lollipop Position="0.2" />
   </Class>
   <Class Name="HeuristicLab.Optimization.Networks.HeuristicLabOptimizationNetworksPlugin" Collapsed="true">
-    <Position X="40.75" Y="0.5" Width="1.5" />
+    <Position X="17" Y="0.5" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
@@ -193,346 +155,142 @@
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ConfigurationPort" Collapsed="true">
-    <Position X="33.75" Y="6.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Ports\ConfigurationPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ExecutionPort" Collapsed="true">
-    <Position X="36" Y="6.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Ports\ExecutionPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.GenericPort" Collapsed="true">
-    <Position X="34.75" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AVAgMQQQQAgAACQBACIAAAAAAiQACBIpAAAACQAABhQ=</HashCode>
-      <FileName>Ports\GenericPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.Message" Collapsed="true" BaseTypeListCollapsed="true">
-    <Position X="44.25" Y="0.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAACAAAAAAAAACAAAAAAAAAAAACAAAAAgAAAAABA=</HashCode>
-      <FileName>Ports\Message.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" Collapsed="true" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.MessageCollection" Collapsed="true">
-    <Position X="46" Y="0.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Ports\MessageCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.MessageValue&lt;T&gt;" Collapsed="true" BaseTypeListCollapsed="true">
-    <Position X="40.75" Y="1.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAACAAAqAAAAUAAAAAAQAAEAEADEAAAEgAAQAABA=</HashCode>
-      <FileName>Ports\MessageValue.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" Collapsed="true" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.MessageValueCollection" Collapsed="true">
-    <Position X="42.5" Y="1.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Ports\MessageValueCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.ParameterizedPort" Collapsed="true">
-    <Position X="34.75" Y="3.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>gEQAAIACAAAAAEAAAABEAAAAEAAAgRAACIAAAACAAAA=</HashCode>
-      <FileName>Ports\ParameterizedPort.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.Port" Collapsed="true">
-    <Position X="28" Y="2" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAACAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Ports\Port.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.PortCollection" Collapsed="true">
-    <Position X="40.75" Y="2.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Ports\PortCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.PortParameter&lt;T&gt;" Collapsed="true">
-    <Position X="38.25" Y="2" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAACAAAoAQABMAAQAQgAAAALhABAgUQAAAAAAABA=</HashCode>
-      <FileName>Ports\PortParameter.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" />
-  </Class>
-  <Class Name="HeuristicLab.Optimization.Networks.PortParameterCollection" Collapsed="true">
-    <Position X="42.5" Y="2.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
-      <FileName>Ports\PortParameterCollection.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Interface Name="HeuristicLab.Optimization.Networks.IClientPort" Collapsed="true">
-    <Position X="27" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>gAAAAAAAAAgAAAAAAoAAEAAAAAAAAAAAAAAADAABAAA=</HashCode>
-      <FileName>### obsolete\IClientPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IClientServicePort" Collapsed="true">
-    <Position X="28" Y="10.5" Width="1.5" />
+  <Class Name="HeuristicLab.Optimization.Networks.KSPTSP.KSPTSPConnector" Collapsed="true">
+    <Position X="5.5" Y="3.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>ABAAAAAAAAAAAQAAAAAAAAAAAAAAABAAAAAAAAAQABA=</HashCode>
+      <FileName>Optimization.Networks.KSPTSP\KSPTSPConnector.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Class Name="HeuristicLab.Optimization.Networks.KSPTSP.KSPTSPNetwork" Collapsed="true">
+    <Position X="7.75" Y="4.75" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
+      <FileName>Optimization.Networks.KSPTSP\KSPTSPNetwork.cs</FileName>
+    </TypeIdentifier>
+  </Class>
+  <Interface Name="HeuristicLab.Core.Networks.IConnectedPort" Collapsed="true">
+    <Position X="10" Y="11.75" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAQAAAAAAAAAACAAAAAAAAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IConnectedPort.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IEntity" Collapsed="true">
+    <Position X="7.75" Y="7.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAIAAAAEQAAAAAAAAAAAAAAAAAAAAAQ=</HashCode>
+      <FileName>Core.Networks\IEntity.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IGenericNode" Collapsed="true">
+    <Position X="5.5" Y="10.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IGenericNode.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IGenericPort" Collapsed="true">
+    <Position X="13.5" Y="11.75" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>ARAAMAAAQAAAACABACAAAAAAAgQAAAAAAAAACQAAAAQ=</HashCode>
+      <FileName>Core.Networks\IGenericPort.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IMessage" Collapsed="true">
+    <Position X="18.75" Y="3.75" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IMessage.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IMessageValue" Collapsed="true">
+    <Position X="0.5" Y="4.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAIAAAAAAAAAAAQAAEAAAAAAAAAgAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IMessageValue.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IMessageValue&lt;T&gt;" Collapsed="true">
+    <Position X="0.5" Y="6" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IMessageValue.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.INetwork" Collapsed="true">
+    <Position X="3.25" Y="10.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\INetwork.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.INode" Collapsed="true">
+    <Position X="5.5" Y="9" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAABAAAQAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\INode.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IParameterizedPort" Collapsed="true">
+    <Position X="12.25" Y="10.5" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IClientServicePort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IInputOutputPort" Collapsed="true">
-    <Position X="22.5" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAQAAAAAAAAABAAAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IInputOutputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IInputOutputPort&lt;TIn, TOut&gt;" Collapsed="true">
-    <Position X="19" Y="15.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAABAAABAAAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IInputOutputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IInputPort" Collapsed="true">
-    <Position X="24.75" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAABAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IInputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IInputPort&lt;T&gt;" Collapsed="true">
-    <Position X="22.25" Y="13.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IInputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IOutputInputPort" Collapsed="true">
-    <Position X="18" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IOutputInputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IOutputInputPort&lt;TOut, TIn&gt;" Collapsed="true">
-    <Position X="16.75" Y="13.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AEAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\IOutputInputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IOutputPort" Collapsed="true">
-    <Position X="20.25" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\IOutputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IOutputPort&lt;T&gt;" Collapsed="true">
-    <Position X="20" Y="13.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\IOutputPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IServiceParameter" Collapsed="true">
-    <Position X="13.5" Y="9" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAIAAAAAAAAAQAAAAECAAAAAAQAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\IServiceParameter.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IServiceParameter&lt;T&gt;" Collapsed="true">
-    <Position X="13.5" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\IServiceParameter.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IServicePort" Collapsed="true">
-    <Position X="29.25" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAIAAAAgAAAAAAAAAAAAAAAAAAAAAQAAA=</HashCode>
-      <FileName>### obsolete\IServicePort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IValuePort" Collapsed="true">
-    <Position X="20.25" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAIAAAAAAAAAAAAAAEAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\IValuePort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IValuePort&lt;T&gt;" Collapsed="true">
-    <Position X="15.75" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>### obsolete\IValuePort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IEntity" Collapsed="true">
-    <Position X="20.25" Y="7.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAIAAAAEQAAAAAAAAAAAAAAAAAAAAAQ=</HashCode>
-      <FileName>IEntity.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IHookOperator" Collapsed="true">
-    <Position X="40.75" Y="3.75" Width="1.5" />
+      <FileName>Core.Networks\IParameterizedPort.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IPort" Collapsed="true">
+    <Position X="12.25" Y="9" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IPort.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IPortParameter" Collapsed="true">
+    <Position X="1" Y="9" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAIAQAAAAAAAQAAAAADAAAAAEQAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IPortParameter.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Core.Networks.IPortParameter&lt;T&gt;" Collapsed="true">
+    <Position X="1" Y="10.5" Width="1.5" />
+    <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAEAAAAAAAAAA=</HashCode>
+      <FileName>Core.Networks\IPortParameter.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Interface Name="HeuristicLab.Operators.IHookOperator" Collapsed="true">
+    <Position X="17" Y="3.75" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAAAAAEAAAAAAAAAAACAAAAAAAAIAAAAAAAAA=</HashCode>
-      <FileName>IHookOperator.cs</FileName>
+      <FileName>Operators\IHookOperator.cs</FileName>
     </TypeIdentifier>
   </Interface>
   <Interface Name="HeuristicLab.Optimization.Networks.IAlgorithmNode" Collapsed="true">
-    <Position X="11.25" Y="10.5" Width="1.5" />
+    <Position X="7.75" Y="10.5" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAAAAAEAAABAAAQAAAAAAAAAAAAAAAAAQAAAA=</HashCode>
-      <FileName>Nodes\IAlgorithmNode.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IClientNode" Collapsed="true">
-    <Position X="2.25" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAABAAAAAAAABAAAAAgAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Nodes\IClientNode.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IGenericNode" Collapsed="true">
-    <Position X="4.5" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Nodes\IGenericNode.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.INetwork" Collapsed="true">
-    <Position X="6.75" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Nodes\INetwork.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.INode" Collapsed="true">
-    <Position X="6.75" Y="9" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAABAAAQAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Nodes\INode.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IVariablesNode" Collapsed="true">
-    <Position X="9" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAQAAAAAAAA=</HashCode>
-      <FileName>Nodes\IVariablesNode.cs</FileName>
+      <FileName>Optimization.Networks\IAlgorithmNode.cs</FileName>
     </TypeIdentifier>
   </Interface>
   <Interface Name="HeuristicLab.Optimization.Networks.IConfigurationPort" Collapsed="true">
-    <Position X="33.75" Y="13.25" Width="1.5" />
+    <Position X="12.25" Y="13.25" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Ports\IConfigurationPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IConnectedPort" Collapsed="true">
-    <Position X="36" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAQAAAAAAAAAACAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Ports\IConnectedPort.cs</FileName>
+      <FileName>Optimization.Networks\IConfigurationPort.cs</FileName>
     </TypeIdentifier>
   </Interface>
   <Interface Name="HeuristicLab.Optimization.Networks.IExecutionPort" Collapsed="true">
-    <Position X="31.5" Y="13.25" Width="1.5" />
+    <Position X="14.5" Y="13.25" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Ports\IExecutionPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IGenericPort" Collapsed="true">
-    <Position X="32.5" Y="11.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>ARAAMAAAQAAAACABACAAAAAAAgQAAAAAAAAACQAAAAQ=</HashCode>
-      <FileName>Ports\IGenericPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IMessage" Collapsed="true">
-    <Position X="42.5" Y="3.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>Ports\IMessage.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IMessageValue" Collapsed="true">
-    <Position X="0.5" Y="4.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAIAAAAAAAAAAAQAAEAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>Ports\IMessageValue.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IMessageValue&lt;T&gt;" Collapsed="true">
-    <Position X="0.5" Y="6" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAA=</HashCode>
-      <FileName>Ports\IMessageValue.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IParameterizedPort" Collapsed="true">
-    <Position X="33.75" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAA=</HashCode>
-      <FileName>Ports\IParameterizedPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IPort" Collapsed="true">
-    <Position X="25.75" Y="9" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>Ports\IPort.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IPortParameter" Collapsed="true">
-    <Position X="38.25" Y="9" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAIAQAAAAAAAQAAAAADAAAAAEQAAAAAAAAA=</HashCode>
-      <FileName>Ports\IPortParameter.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Optimization.Networks.IPortParameter&lt;T&gt;" Collapsed="true">
-    <Position X="38.25" Y="10.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAEAAAAAAAAAA=</HashCode>
-      <FileName>Ports\IPortParameter.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Enum Name="HeuristicLab.Optimization.Networks.ServiceParameterType" Collapsed="true">
-    <Position X="42.5" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAIAAAAEAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>### obsolete\ServiceParameterType.cs</FileName>
-    </TypeIdentifier>
-  </Enum>
-  <Enum Name="HeuristicLab.Optimization.Networks.PortParameterType" Collapsed="true">
-    <Position X="40.75" Y="4.75" Width="1.5" />
+      <FileName>Optimization.Networks\IExecutionPort.cs</FileName>
+    </TypeIdentifier>
+  </Interface>
+  <Enum Name="HeuristicLab.Core.Networks.PortParameterType" Collapsed="true">
+    <Position X="17" Y="4.75" Width="1.5" />
     <TypeIdentifier>
       <HashCode>AAAAAAAAAAAAAAAAAAAIAAAAEAAAAAAAAAAAAAEAAAA=</HashCode>
-      <FileName>Ports\PortParameterType.cs</FileName>
+      <FileName>Core.Networks\PortParameterType.cs</FileName>
     </TypeIdentifier>
   </Enum>
